# Generated by Django 3.1.7 on 2021-05-15 21:22

from django.db import migrations, models


def populate_event_theme(apps, schema_editor):
    Event = apps.get_model('events', 'Event')
    for event in Event.objects.all():
        event.script = event.theme.script
        event.style = event.theme.style
        event.save()


def create_themes(apps, schema_editor):
    Event = apps.get_model('events', 'Event')
    Theme = apps.get_model('events', 'Theme')
    for event in Event.objects.all():
        theme = Theme(script=event.script, style=event.style)
        theme.save()
        event.theme = theme
        event.save()


class Migration(migrations.Migration):

    dependencies = [
        ('events', '0010_auto_20210125_0052'),
    ]

    operations = [
        migrations.AddField(
            model_name='event',
            name='script',
            field=models.TextField(blank=True),
        ),
        migrations.AddField(
            model_name='event',
            name='style',
            field=models.TextField(blank=True),
        ),
        migrations.RunPython(
            code=populate_event_theme,
            reverse_code=create_themes,
            elidable=True,
        ),
        migrations.RemoveField(
            model_name='event',
            name='theme',
        ),
        migrations.DeleteModel(
            name='Theme',
        ),
    ]
